image: node:latest

stages:
  - build_test
  - staging

cache:
    paths:
        - node_modules/
            - @babel
            - traverse
            - types
            - babel-eslint


build_test:
  stage: build_test
  only:
    - master
  before_script:
    - cd pocangular
  script:
    - npm install
    - npm install @angular/cli
    - npm build
    
   
  artifacts:
    paths:
      - node_modules/






deploy_staging:
    stage: staging
    image: ruby:latest
    before_script:
      - cd pocangular
    script:
        - apt-get update -qy
        - apt-get install -y ruby-dev
        - gem install dpl
        - dpl --provider=heroku --app=poc-dimed-estagioti-frontend --api-key=cef43b43-937c-4aaa-b69b-209d249113ae --skip_cleanup

    only:
        refs: 
        - master
        - tags


